Bug 1568525 - readonly-root with /var/lib/stateless/state on LVM over LUKS does not seem to work
Summary: readonly-root with /var/lib/stateless/state on LVM over LUKS does not seem to...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 16:54 UTC by Piergiorgio Sartor
Modified: 2018-11-30 23:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:36:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Piergiorgio Sartor 2018-04-17 16:54:43 UTC
Description of problem:
I'm not sure this is a bug or RFE, anyway, here is the story.

I'm trying to add some persistent storage on a readonly-root system.
In this setup, the device to be mounted in /var/lib/stateless/state is an LV, with proper filesystem label (it should, at least).
The LV is over a LUKS device, which is unlocked from /etc/crypttab.

Apparently, but this seems difficult to confirm, the LV device appears too late to be detected by the script /usr/lib/systemd/fedora-readonly, so nothing is found and nothing is mounted.

The /etc/fstab entry is present too, but is "noauto", to avoid being mounted too late, by the normal mount, in relationship to the above script.

Version-Release number of selected component (if applicable):
initscripts-9.79-1.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
Configure a readonly-root system (r/o root or temporary state)
2.
Create a LV over LUKS with unlock using /etc/crypttab (keyfile can be anywhere)
3.
Create FS with proper label on the above volume
4.
Reboot

Actual results:
No stateless state mount happens

Expected results:
Stateless state mount should happen

Additional info:
Any other information on how to precise debug this will be appreciated too!

Comment 2 Ben Cotton 2018-11-27 13:41:58 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 23:36:49 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.